@echo off

REM ; If you not run this plugin with the environment variable ORACLE_SID set,
REM ; you can uncomment (Remove the "REM " prefix) the line below to
REM ; use e.g. "localhost" as oracle sid.
REM SET ORACLE_SID=localhost

REM ; If you like to use a special auth parameter please change the line below
SET AUTH=/ as sysdba
SET NLS_LANG=american_america.AL32UTF8
SET NLS_DATE_FORMAT=DD.MM.YYYY-HH24:MI:SS

echo ^<^<^<oracle_dbvisit_archive_log_gap^>^>^>
(echo.|set /p x=%ORACLE_SID% )
(
echo set cmdsep on
echo set cmdsep '"'; --"
echo "set pages 0"
echo "set lines 8000"
echo "set feedback off"
echo "set head off"
echo "column instance format a10"
echo "select th.instance, archive_log_gap as perfdata from v$thread th, dbvisit.dbv_sequence_log where timestamp = (select max(timestamp) from dbvisit.dbv_sequence_log);"
) | sqlplus -S %AUTH%

echo ^<^<^<oracle_dbvisit_transfer_log_gap^>^>^>
(echo.|set /p x=%ORACLE_SID% )
(
echo set cmdsep on
echo set cmdsep '"'; --"
echo "set pages 0"
echo "set lines 8000"
echo "set feedback off"
echo "set head off"
echo "column instance format a10"
echo "select th.instance, transfer_log_gap as perfdata from v$thread th, dbvisit.dbv_sequence_log where timestamp = (select max(timestamp) from dbvisit.dbv_sequence_log);"
) | sqlplus -S %AUTH%
