#!/usr/bin/python
#
# Author: marco.lenhardt@ontec.at
#
# This file is part of the  oracle_dbvisit plugin


register_check_parameters(
    subgroup_applications,
    "oracle_dbvisit_archive_log_gap",
    _("Oracle DBvisit Archive Log Gap"),
     Tuple(
         title = _("Limits for the DBvisit archive log gap"),
         elements = [
             Integer(title = _("Warning above"),  allow_int = True, default_value = 10),
             Integer(title = _("Critical above"), allow_int = True, default_value = 20),
         ]
     ),
     TextAscii(
         title = _("Database name"),
         allow_empty = False),
     None)


register_check_parameters(
    subgroup_applications,
    "oracle_dbvisit_transfer_log_gap",
    _("Oracle DBvisit Transfer Log Gap"),
    Tuple(
        title = _("Limits for the DBvisit transfer log gap"),
        elements = [
            Integer(title = _("Warning above"),  allow_int = True, default_value = 10),
            Integer(title = _("Critical above"), allow_int = True, default_value = 20),
        ]
    ),
    TextAscii(
        title = _("Database name"),
        allow_empty = False),
    None)
